--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "_m_:"
    body: derived from BasicUserMessage
  type: :NOTE
- !ruby/struct:SM::Flow::P 
  body: Examine the message <em>m</em>, comparing it with each map()'d template to find and process a match. Templates are examined in the order they were map()'d - first match wins.
- !ruby/struct:SM::Flow::P 
  body: Returns <tt>true</tt> if a match is found including fallbacks, <tt>false</tt> otherwise.
full_name: Irc::Bot::MessageMapper#handle
is_singleton: false
name: handle
params: (m)
visibility: public
